# PulpAnsibleClient::AnsibleAnsibleRepositoryResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**versions_href** | **String** |  | [optional] [readonly] 
**pulp_labels** | [**Object**](.md) |  | [optional] 
**latest_version_href** | **String** |  | [optional] [readonly] 
**name** | **String** | A unique name for this repository. | 
**description** | **String** | An optional description. | [optional] 
**remote** | **String** |  | [optional] 
**last_synced_metadata_time** | **DateTime** | Last synced metadata time. | [optional] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::AnsibleAnsibleRepositoryResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 versions_href: null,
                                 pulp_labels: null,
                                 latest_version_href: null,
                                 name: null,
                                 description: null,
                                 remote: null,
                                 last_synced_metadata_time: null)
```


