# PulpAnsibleClient::PulpAnsibleGalaxyV3Api

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**read**](PulpAnsibleGalaxyV3Api.md#read) | **GET** /pulp_ansible/galaxy/{path}/api/v3/ | 



## read

> RepoMetadataResponse read(path, opts)



ViewSet for Repository Metadata.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'

api_instance = PulpAnsibleClient::PulpAnsibleGalaxyV3Api.new
path = 'path_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.read(path, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleGalaxyV3Api->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **path** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**RepoMetadataResponse**](RepoMetadataResponse.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

